Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface Jboss51Descriptor

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Jboss51Descriptor>

All Known Implementing Classes:
  Jboss51DescriptorImpl

    public interface Jboss51Descriptor

extends org.jboss.shrinkwrap.descriptor.api.Descriptor, org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace<Jboss51Descriptor>

This deployment descriptor provides the functionalities as described in the jboss_5_1.xsd specification

Example:

`Jboss51Descriptor descriptor = Descriptors.create(Jboss51Descriptor.class);`

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`AssemblyDescriptorType<Jboss51Descriptor>` | `assemblyDescriptor()` If not already created, a new `assembly-descriptor` element will be created and returned.
`EnterpriseBeansType<Jboss51Descriptor>` | `enterpriseBeans()` If not already created, a new `enterprise-beans` element will be created and returned.
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<IconType<Jboss51Descriptor>>` | `getIconList()` Returns all `icon` elements
`java.lang.String` | `getJaccContextId()` Returns the `jacc-context-id` element
`java.lang.String` | `getJmxName()` Returns the `jmx-name` element
`java.lang.String` | `getJndiBindingPolicy()` Returns the `jndi-binding-policy` element
`java.lang.String` | `getSecurityDomain()` Returns the `security-domain` element
`java.lang.String` | `getUnauthenticatedPrincipal()` Returns the `unauthenticated-principal` element
`java.lang.String` | `getVersion()` Returns the `version` element
`IconType<Jboss51Descriptor>` | `icon()` Returns the `icon` element
`java.lang.Boolean` | `isMetadataComplete()` Returns the `metadata-complete` element
`java.lang.Boolean` | `isMissingMethodPermissionsExcludedMode()` Returns the `missing-method-permissions-excluded-mode` element
`LoaderRepositoryType<Jboss51Descriptor>` | `loaderRepository()` If not already created, a new `loader-repository` element will be created and returned.
`Jboss51Descriptor` | `removeAllDescription()` Removes the `description` element
`Jboss51Descriptor` | `removeAllDisplayName()` Removes the `display-name` element
`Jboss51Descriptor` | `removeAllIcon()` Removes all `icon` elements
`Jboss51Descriptor` | `removeAssemblyDescriptor()` Removes the `assembly-descriptor` element
`Jboss51Descriptor` | `removeEnterpriseBeans()` Removes the `enterprise-beans` element
`Jboss51Descriptor` | `removeJaccContextId()` Removes the `jacc-context-id` element
`Jboss51Descriptor` | `removeJmxName()` Removes the `jmx-name` element
`Jboss51Descriptor` | `removeJndiBindingPolicy()` Removes the `jndi-binding-policy` element
`Jboss51Descriptor` | `removeLoaderRepository()` Removes the `loader-repository` element
`Jboss51Descriptor` | `removeMetadataComplete()` Removes the `metadata-complete` element
`Jboss51Descriptor` | `removeMissingMethodPermissionsExcludedMode()` Removes the `missing-method-permissions-excluded-mode` element
`Jboss51Descriptor` | `removeResourceManagers()` Removes the `resource-managers` element
`Jboss51Descriptor` | `removeSecurityDomain()` Removes the `security-domain` element
`Jboss51Descriptor` | `removeUnauthenticatedPrincipal()` Removes the `unauthenticated-principal` element
`Jboss51Descriptor` | `removeVersion()` Removes the `version` element
`Jboss51Descriptor` | `removeWebservices()` Removes the `webservices` element
`ResourceManagersType<Jboss51Descriptor>` | `resourceManagers()` If not already created, a new `resource-managers` element will be created and returned.
`Jboss51Descriptor` | `setDescription(java.lang.String description)` Creates a new `description` element
`Jboss51Descriptor` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`Jboss51Descriptor` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`Jboss51Descriptor` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`Jboss51Descriptor` | `setJaccContextId(java.lang.String jaccContextId)` If not already created, a new `jacc-context-id` element with the given value will be created.
`Jboss51Descriptor` | `setJmxName(java.lang.String jmxName)` If not already created, a new `jmx-name` element with the given value will be created.
`Jboss51Descriptor` | `setJndiBindingPolicy(java.lang.String jndiBindingPolicy)` If not already created, a new `jndi-binding-policy` element with the given value will be created.
`Jboss51Descriptor` | `setMetadataComplete(java.lang.Boolean metadataComplete)` If not already created, a new `metadata-complete` element with the given value will be created.
`Jboss51Descriptor` | `setMissingMethodPermissionsExcludedMode(java.lang.Boolean missingMethodPermissionsExcludedMode)` If not already created, a new `missing-method-permissions-excluded-mode` element with the given value will be created.
`Jboss51Descriptor` | `setSecurityDomain(java.lang.String securityDomain)` If not already created, a new `security-domain` element with the given value will be created.
`Jboss51Descriptor` | `setUnauthenticatedPrincipal(java.lang.String unauthenticatedPrincipal)` If not already created, a new `unauthenticated-principal` element with the given value will be created.
`Jboss51Descriptor` | `setVersion(java.lang.String version)` If not already created, a new `version` element with the given value will be created.
`WebservicesType<Jboss51Descriptor>` | `webservices()` If not already created, a new `webservices` element will be created and returned.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Descriptor
`exportAsString, exportTo, getDescriptorName`

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.DescriptorNamespace
`addDefaultNamespaces, addNamespace, getNamespaces, removeAllNamespaces`

Method Detail

### setDescription

    Jboss51Descriptor setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `Jboss51Descriptor`

### setDescriptionList

    Jboss51Descriptor setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `Jboss51Descriptor`

### removeAllDescription

    Jboss51Descriptor removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `Jboss51Descriptor`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    Jboss51Descriptor setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `Jboss51Descriptor`

### setDisplayNameList

    Jboss51Descriptor setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `Jboss51Descriptor`

### removeAllDisplayName

    Jboss51Descriptor removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `Jboss51Descriptor`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    Jboss51Descriptor removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `Jboss51Descriptor`

### icon

    IconType<Jboss51Descriptor> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<Jboss51Descriptor>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### removeLoaderRepository

    Jboss51Descriptor removeLoaderRepository()

  Removes the `loader-repository` element

  Returns:
    the current instance of `Jboss51Descriptor`

### loaderRepository

    LoaderRepositoryType<Jboss51Descriptor> loaderRepository()

  If not already created, a new `loader-repository` element will be created and returned. Otherwise, the existing `loader-repository` element will be returned.

  Returns:
    the node defined for the element `loader-repository`

### setJmxName

    Jboss51Descriptor setJmxName(java.lang.String jmxName)

  If not already created, a new `jmx-name` element with the given value will be created. Otherwise, the existing `jmx-name` element will be updated with the given value.

  Returns:
    the current instance of `Jboss51Descriptor`

### removeJmxName

    Jboss51Descriptor removeJmxName()

  Removes the `jmx-name` element

  Returns:
    the current instance of `Jboss51Descriptor`

### getJmxName

    java.lang.String getJmxName()

  Returns the `jmx-name` element

  Returns:
    the node defined for the element `jmx-name`

### setSecurityDomain

    Jboss51Descriptor setSecurityDomain(java.lang.String securityDomain)

  If not already created, a new `security-domain` element with the given value will be created. Otherwise, the existing `security-domain` element will be updated with the given value.

  Returns:
    the current instance of `Jboss51Descriptor`

### removeSecurityDomain

    Jboss51Descriptor removeSecurityDomain()

  Removes the `security-domain` element

  Returns:
    the current instance of `Jboss51Descriptor`

### getSecurityDomain

    java.lang.String getSecurityDomain()

  Returns the `security-domain` element

  Returns:
    the node defined for the element `security-domain`

### setMissingMethodPermissionsExcludedMode

    Jboss51Descriptor setMissingMethodPermissionsExcludedMode(java.lang.Boolean missingMethodPermissionsExcludedMode)

  If not already created, a new `missing-method-permissions-excluded-mode` element with the given value will be created. Otherwise, the existing `missing-method-permissions-excluded-mode` element will be updated with the given value.

  Returns:
    the current instance of `Jboss51Descriptor`

### removeMissingMethodPermissionsExcludedMode

    Jboss51Descriptor removeMissingMethodPermissionsExcludedMode()

  Removes the `missing-method-permissions-excluded-mode` element

  Returns:
    the current instance of `Jboss51Descriptor`

### isMissingMethodPermissionsExcludedMode

    java.lang.Boolean isMissingMethodPermissionsExcludedMode()

  Returns the `missing-method-permissions-excluded-mode` element

  Returns:
    the node defined for the element `missing-method-permissions-excluded-mode`

### setUnauthenticatedPrincipal

    Jboss51Descriptor setUnauthenticatedPrincipal(java.lang.String unauthenticatedPrincipal)

  If not already created, a new `unauthenticated-principal` element with the given value will be created. Otherwise, the existing `unauthenticated-principal` element will be updated with the given value.

  Returns:
    the current instance of `Jboss51Descriptor`

### removeUnauthenticatedPrincipal

    Jboss51Descriptor removeUnauthenticatedPrincipal()

  Removes the `unauthenticated-principal` element

  Returns:
    the current instance of `Jboss51Descriptor`

### getUnauthenticatedPrincipal

    java.lang.String getUnauthenticatedPrincipal()

  Returns the `unauthenticated-principal` element

  Returns:
    the node defined for the element `unauthenticated-principal`

### setJndiBindingPolicy

    Jboss51Descriptor setJndiBindingPolicy(java.lang.String jndiBindingPolicy)

  If not already created, a new `jndi-binding-policy` element with the given value will be created. Otherwise, the existing `jndi-binding-policy` element will be updated with the given value.

  Returns:
    the current instance of `Jboss51Descriptor`

### removeJndiBindingPolicy

    Jboss51Descriptor removeJndiBindingPolicy()

  Removes the `jndi-binding-policy` element

  Returns:
    the current instance of `Jboss51Descriptor`

### getJndiBindingPolicy

    java.lang.String getJndiBindingPolicy()

  Returns the `jndi-binding-policy` element

  Returns:
    the node defined for the element `jndi-binding-policy`

### setJaccContextId

    Jboss51Descriptor setJaccContextId(java.lang.String jaccContextId)

  If not already created, a new `jacc-context-id` element with the given value will be created. Otherwise, the existing `jacc-context-id` element will be updated with the given value.

  Returns:
    the current instance of `Jboss51Descriptor`

### removeJaccContextId

    Jboss51Descriptor removeJaccContextId()

  Removes the `jacc-context-id` element

  Returns:
    the current instance of `Jboss51Descriptor`

### getJaccContextId

    java.lang.String getJaccContextId()

  Returns the `jacc-context-id` element

  Returns:
    the node defined for the element `jacc-context-id`

### removeWebservices

    Jboss51Descriptor removeWebservices()

  Removes the `webservices` element

  Returns:
    the current instance of `Jboss51Descriptor`

### webservices

    WebservicesType<Jboss51Descriptor> webservices()

  If not already created, a new `webservices` element will be created and returned. Otherwise, the existing `webservices` element will be returned.

  Returns:
    the node defined for the element `webservices`

### removeEnterpriseBeans

    Jboss51Descriptor removeEnterpriseBeans()

  Removes the `enterprise-beans` element

  Returns:
    the current instance of `Jboss51Descriptor`

### enterpriseBeans

    EnterpriseBeansType<Jboss51Descriptor> enterpriseBeans()

  If not already created, a new `enterprise-beans` element will be created and returned. Otherwise, the existing `enterprise-beans` element will be returned.

  Returns:
    the node defined for the element `enterprise-beans`

### removeAssemblyDescriptor

    Jboss51Descriptor removeAssemblyDescriptor()

  Removes the `assembly-descriptor` element

  Returns:
    the current instance of `Jboss51Descriptor`

### assemblyDescriptor

    AssemblyDescriptorType<Jboss51Descriptor> assemblyDescriptor()

  If not already created, a new `assembly-descriptor` element will be created and returned. Otherwise, the existing `assembly-descriptor` element will be returned.

  Returns:
    the node defined for the element `assembly-descriptor`

### removeResourceManagers

    Jboss51Descriptor removeResourceManagers()

  Removes the `resource-managers` element

  Returns:
    the current instance of `Jboss51Descriptor`

### resourceManagers

    ResourceManagersType<Jboss51Descriptor> resourceManagers()

  If not already created, a new `resource-managers` element will be created and returned. Otherwise, the existing `resource-managers` element will be returned.

  Returns:
    the node defined for the element `resource-managers`

### setVersion

    Jboss51Descriptor setVersion(java.lang.String version)

  If not already created, a new `version` element with the given value will be created. Otherwise, the existing `version` element will be updated with the given value.

  Returns:
    the current instance of `Jboss51Descriptor`

### removeVersion

    Jboss51Descriptor removeVersion()

  Removes the `version` element

  Returns:
    the current instance of `Jboss51Descriptor`

### getVersion

    java.lang.String getVersion()

  Returns the `version` element

  Returns:
    the node defined for the element `version`

### setMetadataComplete

    Jboss51Descriptor setMetadataComplete(java.lang.Boolean metadataComplete)

  If not already created, a new `metadata-complete` element with the given value will be created. Otherwise, the existing `metadata-complete` element will be updated with the given value.

  Returns:
    the current instance of `Jboss51Descriptor`

### removeMetadataComplete

    Jboss51Descriptor removeMetadataComplete()

  Removes the `metadata-complete` element

  Returns:
    the current instance of `Jboss51Descriptor`

### isMetadataComplete

    java.lang.Boolean isMetadataComplete()

  Returns the `metadata-complete` element

  Returns:
    the node defined for the element `metadata-complete`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD